Extension:IEWarn

From MediaWiki.org
Jump to navigation Jump to search
MediaWiki extensions manual
OOjs UI icon advanced.svg
IEWarn
Release status: beta
Implementation User interface
Description Adds a warning when a user is using Internet Explorer or Microsoft Edge.
Author(s) Matthew Trescott (MTres19talk)
Latest version 1.0 (2017-03-14)
MediaWiki 1.25+
License GNU Affero General Public License 3.0
Download
https://github.com/MTres19/mw-ext-iewarn/blob/master/README.md
Example https://supertuxkart.net
Translate the IEWarn extension if it is available at translatewiki.net
Check usage and version matrix.

The IEWarn extension displays a warning to users of Internet Explorer and Microsoft Edge browsers. Useful for wikis with skins that aren't compatible with IE/Edge's quirks.

Installation[edit]

  • Download and place the file(s) in a directory called IEWarn in your extensions/ folder.
  • Add the following code at the bottom of your LocalSettings.php:
    wfLoadExtension( 'IEWarn' );
    
  • Yes Done – Navigate to Special:Version on your wiki to verify that the extension is successfully installed.

Configuration Options[edit]

These options can be set in LocalSettings.php:

$wgIEWarnOuterBoxStyle = 'CSS styling to determine the style of the header containing the title. Contains styling already, so unneeded unless you want customization.';

$wgIEWarnInnerMessageStyle = 'CSS styling to determine the style of the message underneath the header. Already contains styling, so unneeded unless you want customization.';

$wgIEWarnCustomOuterBoxTitle = 'Custom (non-localized) title. You can also edit the MediaWiki:Iewarn-ie-title page.';

$wgIEWarnCustomMessage = 'Custom non-localized message. You can also edit the MediaWiki:Iewarn-ie-message page and include the $1 parameter where you want the name of the browser (Internet Explorer/Microsoft Edge).';